Skip to content

Get bookingorder itinerary ​

GET
/v1/itineraries/share/{bookingorder_id}/{ticket_id}

Endpoint used by authenticated clients to fetch the itinerary data for given bookingorder and ticket.

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

bookingorder_id*

XS2event ID of the Bookingorder

Type
string
Required
ticket_id*

XS2event ID of the Ticket

Type
string
Required

Responses​

OK

application/json
JSON
{
  
"colors": {
  
  
"primary_color_code": null,
  
  
"secondary_color_code": null,
  
  
"ternary_color_code": null
  
},
  
"cover_photo": null,
  
"rear_photo": null,
  
"getting_there": {
  
  
"google_maps": null,
  
  
"google_maps_img": null,
  
  
"parking": null,
  
  
"route": null,
  
  
"travel": null
  
},
  
"remember": {
  
  
"items": [
  
  
  
"string"
  
  
]
  
},
  
"ticketing_app": {
  
  
"html": null,
  
  
"title": null
  
},
  
"included": {
  
  
"summary": null,
  
  
"items": [
  
  
  
"string"
  
  
],
  
  
"google_maps": null,
  
  
"google_maps_img": null,
  
  
"photo1": null,
  
  
"photo2": null
  
},
  
"category": {
  
  
"category_id": null,
  
  
"category_name": null,
  
  
"venue_id": null,
  
  
"open_minutes_before_match": null,
  
  
"open_minutes_after_match": null,
  
  
"open_during_half_time": null,
  
  
"category_type": null
  
},
  
"event": {
  
  
"city": null,
  
  
"event_name": null,
  
  
"latitude": null,
  
  
"longitude": null,
  
  
"visiting_name": null,
  
  
"event_startdate": null,
  
  
"event_stopdate": null
  
},
  
"home": {
  
  
"official_name": null
  
},
  
"ticket": {
  
  
"ticket_title": null,
  
  
"ticket_validfrom": null,
  
  
"ticket_validuntil": null
  
},
  
"venue": {
  
  
"city": null,
  
  
"country": null,
  
  
"number": null,
  
  
"streetname": null,
  
  
"address": null,
  
  
"official_name": null,
  
  
"postalcode": null,
  
  
"venue_type": null
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​